Skip to main content
GET
/
api
/
datasource
/
v1
/
audit
Get Data Source Audit Data
curl --request GET \
  --url https://api.example.com/api/datasource/v1/audit \
  --header 'X-Domino-Api-Key: <api-key>'
[
  {
    "dataSourceId": "<string>",
    "dataSourceName": "<string>",
    "dataSourceType": "ADLSConfig",
    "metadata": {},
    "performedBy": "<string>",
    "timestamp": "1996-07-19T03:13:44.467Z"
  }
]

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

dataSourceIds
string[]

Data Source IDs to query audit data for

dataSourceNames
string[]

Data Source names to query audit data for

eventKinds
string[]

events to query - AccessDataSource, CreateDataSource, DataSourceAssociatedToProject, DataSourceDissociatedFromProject, DataSourceChangeOfOwnership, DataSourceChangeOfPermissions, DeleteDataSource

startTime
string<date-time>

Start time (iso8601)

endTime
string<date-time>

End time (iso8601)

Response

Success

dataSourceId
string
required

ID of the Data Source

dataSourceName
string
required

name of the Data Source

dataSourceType
string
required

The configuration type of the Data Source

Example:

"ADLSConfig"

eventKind
enum<string>
required

Kinds of Data Source audit events

Available options:
AccessDataSource,
CreateDataSource,
DataSourceAssociatedToProject,
DataSourceDissociatedFromProject,
DataSourceChangeOfOwnership,
DataSourceChangeOfPermissions,
DeleteDataSource
metadata
object
required

A map of string -> string

performedBy
string
required

ID of user who performed the event

timestamp
string<date-time>
required

timestamp of when event was performed

Example:

"1996-07-19T03:13:44.467Z"